
package com.winhc.bigdata.flink.java.company_data_entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.winhc.bigdata.flink.java.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.flink.types.Row;
import java.util.Date;
/**
 * @author: XuJiakai
 * 2021/8/31 17:32
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CompanyStaff  implements BaseEntity {

 private String rowkey;
 private String companyId;
 private String companyName;
 private String hid;
 private String staffName;
 private String staffType;
 private Date createTime;
 private Date updateTime;
 private Long deleted;


@Override
    public String toString() {
        return JSONObject.toJSONString(this, SerializerFeature.WriteMapNullValue);
    }
    
    @Override
    public Row toRow() {
        return Row.of(rowkey,companyId,companyName,hid,staffName,staffType,createTime,updateTime,deleted);
    }

}
    