package com.winhc.bigdata.flink.constant

/**
 * @author: XuJiakai
 * @date: 2021/8/31 14:39
 */
case class CompanySummaryConst(tn: String, companyIdField: String, aggField: String, aggKey: String, aliasName: String)

object CompanySummaryConst {

  private val seq = Seq(
    CompanySummaryConst(tn = "company_staff", companyIdField = "company_id", aggField = "deleted", aggKey = "0", aliasName = "company_staff_del_0")
  )
  val companyGroupMap: Map[String, Seq[CompanySummaryConst]] = seq.groupBy(_.tn)
}
