package com.winhc.bigdata.flink.event

/**
 * @author ZhangJi
 * @since 2021-10-19 17:28
 */


import java.util.Objects
import scala.beans.BeanProperty


/**
 * @author ZhangJi
 * @since 2021-10-18 17:37
 */
object ValidationExceptionEntity {
  def of[T](e: Exception, data: T) = new ValidationExceptionEntity[T](e.getClass.getName, e.getMessage, data)
}

case class ValidationExceptionEntity[T](@BeanProperty var name: String,
                                        @BeanProperty var message: String,
                                        @BeanProperty var data: T) {


}

