package com.winhc.bigdata.flink.func

import com.winhc.bigdata.flink.config.ElasticsearchConfig
import org.apache.flink.configuration.Configuration
import org.apache.flink.elasticsearch6.shaded.org.elasticsearch.client.RestHighLevelClient
import org.apache.flink.streaming.api.functions.async.{ResultFuture, RichAsyncFunction}


/**
 * @author: XuJiakai
 * @date: 2021/8/30 18:18
 *        异步加载es数据
 */
case class ElasticsearchAsyncFunction(clusterName: String) extends RichAsyncFunction[(String, String), (String, String, Integer)] {
  private var client: RestHighLevelClient = null;

  private val docType = ""



  override def open(parameters: Configuration): Unit = {
    client = ElasticsearchConfig.getRestHighLevelClient(clusterName)
  }

  override def asyncInvoke(input: (String, String), resultFuture: ResultFuture[(String, String, Integer)]): Unit = ???

  override def close(): Unit = {
    client.close()
  }





  /*private def getSummary(tn: String, companyId: String): Int = {
    val builder = SearchSourceBuilder.searchSource().size(0).query(QueryBuilders.termQuery(companyKey(tn), companyId))
    val index = s"winhc_index_$tn"
    new SearchRequest().indices(index)
      .types(docType)
      .source(builder)

    import com.alibaba.fastjson.JSONObject
    import org.elasticsearch.action.ActionListener
    import org.elasticsearch.action.search.SearchResponse
    import org.elasticsearch.search.SearchHit
    import java.util.Collections
    val listener = new ActionListener[SearchResponse]() { //成功
      override def onResponse(searchResponse: SearchResponse): Unit = {
        var stationPercent:String = null
        val searchHits = searchResponse.getHits.getHits
        if (searchHits.length > 0) {
          val jsonObject = JSON.parseObject(searchHits(0).getSourceAsString)
          stationPercent = jsonObject.getString("section_search_percent")
        }
        System.out.println("get data from the es :" + stationPercent)
        resultFuture.complete(Collections.singleton(new Nothing(input.f0, stationPercent)))
      } //失败

      override def onFailure(e: Exception): Unit = {
        resultFuture.complete(Collections.singleton(new Nothing(input.f0, null)))
      }
    }

    client.searchAsync(searchRequest, listener)

    0
  }*/

  override def timeout(input: (String, String), resultFuture: ResultFuture[(String, String, Integer)]): Unit = super.timeout(input, resultFuture)
}
