package com.winhc.bigdata.flink.jobs

import org.apache.flink.api.common.eventtime.{NoWatermarksGenerator, WatermarkGenerator, WatermarkGeneratorSupplier, WatermarkStrategy}

/**
 * @author: XuJiakai
 * @date: 2021/9/1 16:47
 */
case class CustomWatermarkStrategy() extends WatermarkStrategy[String] {
  override def createWatermarkGenerator(context: WatermarkGeneratorSupplier.Context): WatermarkGenerator[String] = {
    new NoWatermarksGenerator[String]
  }
}
