package com.winhc.bigdata.flink.utils

import org.junit.Assert.assertEquals
import org.junit.Test

/**
 * @author ZhangJi
 * @since 2021-10-20 15:19
 */

class BaseUtilsTI {
  @Test
  def testHbaseTableName(): Unit = {
    assertEquals("NG_COMPANY", BaseUtils.hbaseTableName("company"))
    assertEquals("NG_COMPANY_HOLDER", BaseUtils.hbaseTableName("company_holder"))
  }

  @Test
  def testConcatws(): Unit = {
    assertEquals("1,2,3,4", BaseUtils.concatws(",", "1", "2", "3", "4"))
  }

  @Test
  def testRandomString(): Unit = {
    var i = 0
    while (true) {
      i += 1
      if (i > 1000000) return
      val b = BigInt(8, 0, scala.util.Random).toString(16)
      println(b)
      if (b.length < 2) {
        return
      }
    }

  }
}
