
package com.winhc.bigdata.flink.java.company_data_entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.winhc.bigdata.flink.java.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.flink.types.Row;
import java.util.Date;
/**
 * @author: XuJiakai
 * 2021/8/31 17:32
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class Company  implements BaseEntity {

 private String companyId;
 private Long newCid;
 private String base;
 private String name;
 private String nameEn;
 private String nameAlias;
 private String historyNames;
 private String legalEntityId;
 private String legalEntityName;
 private Long legalEntityType;
 private String regNumber;
 private String companyOrgType;
 private String regLocation;
 private Date estiblishTime;
 private Date fromTime;
 private Date toTime;
 private String businessScope;
 private String regInstitute;
 private Date approvedTime;
 private String regStatus;
 private String regCapital;
 private String orgNumber;
 private String orgApprovedInstitute;
 private String parentCompanyId;
 private Long companyType;
 private String creditCode;
 private String score;
 private String cateFirstCode;
 private String cateSecondCode;
 private String cateThirdCode;
 private String lat;
 private String lng;
 private String provinceCode;
 private String cityCode;
 private String countyCode;
 private Long regCapitalAmount;
 private String regCapitalCurrency;
 private Long actualCapitalAmount;
 private String actualCapitalCurrency;
 private String regStatusStd;
 private Long socialSecurityStaffNum;
 private Date cancelDate;
 private String cancelReason;
 private Date revokeDate;
 private String revokeReason;
 private String emails;
 private String phones;
 private String wechatPublicNum;
 private String logo;
 private Date crawledTime;
 private Date createTime;
 private Date updateTime;
 private Long deleted;


@Override
    public String toString() {
        return JSONObject.toJSONString(this, SerializerFeature.WriteMapNullValue);
    }
    
    @Override
    public Row toRow() {
        return Row.of(companyId,newCid,base,name,nameEn,nameAlias,historyNames,legalEntityId,legalEntityName,legalEntityType,regNumber,companyOrgType,regLocation,estiblishTime,fromTime,toTime,businessScope,regInstitute,approvedTime,regStatus,regCapital,orgNumber,orgApprovedInstitute,parentCompanyId,companyType,creditCode,score,cateFirstCode,cateSecondCode,cateThirdCode,lat,lng,provinceCode,cityCode,countyCode,regCapitalAmount,regCapitalCurrency,actualCapitalAmount,actualCapitalCurrency,regStatusStd,socialSecurityStaffNum,cancelDate,cancelReason,revokeDate,revokeReason,emails,phones,wechatPublicNum,logo,crawledTime,createTime,updateTime,deleted);
    }

}
    