
package com.winhc.bigdata.flink.java.company_data_entity;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.winhc.bigdata.flink.java.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.apache.flink.types.Row;
import java.util.Date;
/**
 * @author: XuJiakai
 * 2021/8/31 17:32
 */
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CompanyTm  implements BaseEntity {

 private String rowkey;
 private String keyno;
 private String regNo;
 private Long intCls;
 private String tmName;
 private Date appDate;
 private String applicantCn;
 private String addressCn;
 private String applicant1;
 private String applicant2;
 private String applicantEn;
 private String addressEn;
 private Long announcemenIssue;
 private Date announcementDate;
 private Long regIssue;
 private Date regDate;
 private Date privateDateStart;
 private Date privateDateEnd;
 private String agent;
 private Long category;
 private String hqzdrq;
 private String gjzcrq;
 private String yxqrq;
 private String color;
 private Long status;
 private String source;
 private String secondClassCode;
 private String appYear;
 private String logo;
 private Date createTime;
 private Date updateTime;
 private Long deleted;


@Override
    public String toString() {
        return JSONObject.toJSONString(this, SerializerFeature.WriteMapNullValue);
    }
    
    @Override
    public Row toRow() {
        return Row.of(rowkey,keyno,regNo,intCls,tmName,appDate,applicantCn,addressCn,applicant1,applicant2,applicantEn,addressEn,announcemenIssue,announcementDate,regIssue,regDate,privateDateStart,privateDateEnd,agent,category,hqzdrq,gjzcrq,yxqrq,color,status,source,secondClassCode,appYear,logo,createTime,updateTime,deleted);
    }

}
    