package com.winhc.bigdata.flink.java.utils;

import java.util.Locale;

/**
 * @author: XuJiakai
 * 2021/8/31 18:26
 */
public class FieldNameUtils {
    public static String hump2Underline(String str) {
        if (str == null) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < str.length(); i++) {
            String s = str.charAt(i) + "";
            if (s.toUpperCase().equals(s) && i != 0) {
                sb.append('_');
            }
            sb.append(s);
        }
        return sb.toString().toLowerCase(Locale.ROOT);
    }

}
