package com.winhc.bigdata.flink.event

/**
 * @author ZhangJi
 * @since 2021-10-13 14:40
 */


case class MetaInfo(company: Option[CompanyInfo], es: Option[ElasticSearchInfo], hbase: Option[HbaseInfo], holo: Option[HologresInfo])

case class CompanyInfo(companyId: String, companyName: String)

case class ElasticSearchInfo(_index: String, _type: String)

case class HbaseInfo(table: String, cf: String)

case class HologresInfo(table: String, shema: String)



