package com.winhc.bigdata.flink.jobs.company_job_step


import com.winhc.bigdata.flink.event.ValidationExceptionEntity
import com.winhc.bigdata.flink.java.entity.CompanyDataReceive
import org.apache.flink.streaming.api.scala.OutputTag
import org.json4s.JsonAST.JObject
import org.apache.flink.api.scala._
/**
 * @author ZhangJi
 * @since 2021-10-19 14:44
 */
object OutputTags {
  val TransformErrorTag = new OutputTag[ValidationExceptionEntity[String]]("transformException")
  val ExceptionTag = new OutputTag[ValidationExceptionEntity[CompanyDataReceive]]("exception")
  val ValidationErrorTag = new OutputTag[Map[String, Seq[JObject]]]("validation")
  val HBASE_SINK_TAG=new OutputTag[(String,String,String,JObject)]("hbase")
  val ELASTICSEARCH_SINK_TAG=new OutputTag[(String,String,String,JObject)]("es")
  val HOLO_SINK_TAG=new OutputTag[(String,String,String,JObject)]("holo")

}
