package com.winhc.bigdata.flink.sink

import com.winhc.bigdata.flink.java.sink.OdpsSinkBuilder4J
import org.apache.flink.api.java.tuple.Tuple2
import org.apache.flink.streaming.api.functions.sink.SinkFunction
import org.apache.flink.types.Row

/**
 * @author: XuJiakai
 * @date: 2021/9/1 15:32
 */
object OdpsSinkBuilder {
  def buildSinkFunction(tableName: String, partition: String): SinkFunction[Tuple2[Boolean, Row]] = {
    OdpsSinkBuilder4J.buildSinkFunction(tableName, partition).asInstanceOf[SinkFunction[Tuple2[Boolean, Row]]]
  }

}
